#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	pytest plugin to run your tests in a specific order
Summary(pl.UTF-8):	Wtyczka pytesta do uruchamiania testów w określonej kolejności
Name:		python3-pytest-order
Version:	1.3.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-order/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-order/pytest_order-%{version}.tar.gz
# Source0-md5:	f929658fd82b61ff37fb4e43221b0e68
URL:		https://pypi.org/project/pytest-order/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 5.0
BuildRequires:	python3-pytest-dependency >= 0.5.1
BuildRequires:	python3-pytest-mock
BuildRequires:	python3-pytest-xdist
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pytest-order is a pytest plugin that allows you to customize the order
in which your tests are run. It uses the marker "order" that defines
when a specific test shall be run relative to the other tests. 

%description -l pl.UTF-8
pytest-order to wtyczka pytesta pozwalająca dostosować kolejność, w
jakiej testy są uruchamiane. Wykorzystuje znacznik "order",
określający kiedy dany test powinien być uruchomiony względem innych
testów.

%package apidocs
Summary:	API documentation for Python pytest-order module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pytest-order
Group:		Documentation

%description apidocs
API documentation for Python pytest-order module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pytest-order.

%prep
%setup -q -n pytest_order-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_order.plugin,pytest_dependency,pytest_mock.plugin,xdist.plugin \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.md LICENSE README.md
%{py3_sitescriptdir}/pytest_order
%{py3_sitescriptdir}/pytest_order-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,*.html,*.js}
%endif
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-order.git;a=log;h=master

* Sat Jul 12 2025 Jakub Bogusz <qboosh@pld-linux.org> 321d06a
- python-pytest-order.spec updated to 1.3.0 for python 3.7+/pytest 5+

* Sat Jul 12 2025 Jakub Bogusz <qboosh@pld-linux.org> a0af72b
- new, last version with python 2.7 support

